.events { 
    
    background-color: $grey-light;
    
    &__title{

        h1 {
            font-size:2.5rem;
            text-align:center;
            font-weight: bold;
            text-transform: uppercase;
            position: relative;
            
            &::before {
                position: absolute;
                content:'';
                border-bottom: .3rem solid $white-dark;
                width: 14rem;
                text-align: center;
                left: 50%;
                transform: translate(-50%,-100%);
                top: 100%;
            }
        }
    }
    
    &__filter-list {
        box-shadow: 0 16px 32px 0 rgba(0, 0, 0, 0.12);
        display: -webkit-box;
        display: flex;
        flex-wrap: wrap;
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        flex-direction: row;
        -webkit-box-pack: justify;
        justify-content: space-between;
        width: 90%;
        margin: 0 auto;
        padding:3rem;
        padding-bottom: 0;
    }
    
    &__select-menu {
        display:flex;
        justify-content: stretch;
        flex-direction: row;
        align-items: center;
        align-content: center; 
         
        &--item {
            background-color: inherit;
            border: .1rem solid #ccc;
            padding-top: .6rem;
            padding-bottom: .3rem;
            
            
            a{
                color: $dark;
                font-size: 1.7rem;
                padding: .6rem 2rem;
            }
            
            &.active,
            &:hover,
            &:focus {
                background-color: $primary_color;
                border: .1rem solid $primary_color;
                
                a {
                    color: $white;
                }
            }
            
        }
        
    }
    
    &__select-custom {
        position: relative;
        padding-bottom: 1.5rem;
    }
    
    &__select-box{
        z-index: 1;
        background-color: $white-lighter;
        color:$dark;
        width:88%;
        opacity: 0;
        max-height: 0;
        transition:all .4s;
        border-radius: .8rem;
        overflow: hidden;
        display: flex;
        flex-direction: column;
        position: absolute;
        transition:all .3s ease-in-out;
        
        label {
            cursor: pointer;
        }
        
    }
    
    
    &__options {
        
        &--option {
            
            .radio{ 
                display:none;
            }
           
            &:hover {
                background-color:$primary_color;
                color:$white;
            }
        }
    }

    &__options--option,
    &__selected,
    &__select-box{
        padding:6px 6px;
        cursor: pointer;
    }
    
    &__selected{
        width: 100%;
        border: .1rem solid #ccc;
        border-radius: .6rem;
        font-size: 1.7rem;
        color: $dark;
        padding-left: 1.6rem;
        
        i {
            
            float: right;
            vertical-align: middle;
            clear: both;
            padding-top: .6rem;
        
        }
        
        &:hover {
            color: $primary_color;
        }
        
    } 
    
}
.event {
    width: inherit;
    border-radius: 3px;
    padding: 1rem;
    padding-left: 2rem;
    font-size: 1.5rem;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all .3s ease-in-out;

    &__shape {
        width: 23rem;
        height: 15rem;
        float: left;
        position: relative;
        overflow: hidden;
        border-radius: 5%;

        @supports (clip-path: polygon(0 0)) or (-webkit-clip-path: polygon(0 0)) {
            -webkit-clip-path: square(50% at 50% 50%);
            clip-path: square(50% at 50% 50%);
            -webkit-shape-outside: square(50% at 50% 50%);
            shape-outside: square(50% at 50% 50%);
            border-radius: none;
        }

    }

    &__img {
        height: 100%;
        transform: translateX(-4rem) scale(1.4);
        backface-visibility: hidden;
        transition: all .5s;
    }

    &__text {
        transform: translateX(16px);
        text-align: justify;
        text-overflow: ellipsis;
        padding: 1rem;
        padding-right: 2rem;
        float: right;
        width: 87rem;
        clear: right;
        
    }

    &__caption {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-36px, -30px);    
        color: $white;
        text-transform: uppercase;
        font-size: 1.7rem;
        text-align: center;
        opacity: 1;
        transition: all .5s;
    }

    &:hover &__caption {
        
        opacity: 1;
        transition:.3s ease-in-out;
        cursor: pointer;
    }
    
    &:hover {
        box-shadow:$box-shadow; 
        background-color: rgba(255, 255, 255, 0.6);
        cursor: pointer;
    }

    &:hover &__img {
        transform: translateX(0) scale(1);
        filter: blur(3px) brightness(80%);
        cursor: pointer;
    }
    
}

.past,
.live{
    border-top-right-radius: 0.6rem;
    border-bottom-right-radius: 0.6rem; 
}

.upcoming,
.all{
    border-top-left-radius: 0.6rem;
    border-bottom-left-radius: 0.6rem; 
}

